\documentclass[tikz, margin={0cm 0cm 0cm 0cm}]{standalone}

%\input{utils/preamble}

\begin{document}

\tikzset{every picture/.style={line width=0.75pt}} %set default line width to 0.75pt        

\begin{tikzpicture}[x=0.75pt,y=0.75pt,yscale=-1,xscale=1]
%uncomment if require: \path (0,459); %set diagram left start at 0, and has height of 459

%Straight Lines [id:da6962066651541812] 
\draw    (290,240) -- (290,310) -- (90,310) ;
%Straight Lines [id:da4145402363577628] 
\draw    (60,310) -- (20,310) ;
%Straight Lines [id:da04414521092152579] 
\draw    (60,290) -- (90,310) ;
%Straight Lines [id:da14653363050275892] 
\draw    (70,290) -- (70,210) -- (110,210) ;
%Shape: Circle [id:dp9889115154996863] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (57.5,310) .. controls (57.5,308.62) and (58.62,307.5) .. (60,307.5) .. controls (61.38,307.5) and (62.5,308.62) .. (62.5,310) .. controls (62.5,311.38) and (61.38,312.5) .. (60,312.5) .. controls (58.62,312.5) and (57.5,311.38) .. (57.5,310) -- cycle ;
%Shape: Circle [id:dp658873033300563] 
\draw  [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ,fill opacity=1 ] (88.5,309.5) .. controls (88.5,308.12) and (89.62,307) .. (91,307) .. controls (92.38,307) and (93.5,308.12) .. (93.5,309.5) .. controls (93.5,310.88) and (92.38,312) .. (91,312) .. controls (89.62,312) and (88.5,310.88) .. (88.5,309.5) -- cycle ;
%Straight Lines [id:da6566550884535097] 
\draw    (290,100) -- (290,177) ;
\draw [shift={(290,180)}, rotate = 270] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Flowchart: Alternative Process [id:dp7513672166139242] 
\draw   (110,190.5) .. controls (110,184.7) and (114.7,180) .. (120.5,180) -- (199.5,180) .. controls (205.3,180) and (210,184.7) .. (210,190.5) -- (210,229.5) .. controls (210,235.3) and (205.3,240) .. (199.5,240) -- (120.5,240) .. controls (114.7,240) and (110,235.3) .. (110,229.5) -- cycle ;
%Flowchart: Alternative Process [id:dp6167022578554479] 
\draw   (250,190.5) .. controls (250,184.7) and (254.7,180) .. (260.5,180) -- (319.5,180) .. controls (325.3,180) and (330,184.7) .. (330,190.5) -- (330,229.5) .. controls (330,235.3) and (325.3,240) .. (319.5,240) -- (260.5,240) .. controls (254.7,240) and (250,235.3) .. (250,229.5) -- cycle ;
%Straight Lines [id:da452416798416173] 
\draw    (213,210) -- (250,210) ;
\draw [shift={(210,210)}, rotate = 0] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Straight Lines [id:da8223645105730963] 
\draw    (460,230) -- (333,230) ;
\draw [shift={(330,230)}, rotate = 360] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;
%Straight Lines [id:da8761224328484805] 
\draw    (460,190) -- (333,190) ;
\draw [shift={(330,190)}, rotate = 360] [fill={rgb, 255:red, 0; green, 0; blue, 0 }  ][line width=0.08]  [draw opacity=0] (8.93,-4.29) -- (0,0) -- (8.93,4.29) -- cycle    ;

% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (258,123) .. controls (258,120.24) and (260.24,118) .. (263,118) -- (315,118) .. controls (317.76,118) and (320,120.24) .. (320,123) -- (320,151) .. controls (320,153.76) and (317.76,156) .. (315,156) -- (263,156) .. controls (260.24,156) and (258,153.76) .. (258,151) -- cycle  ;
\draw (261,122) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {\begin{minipage}[lt]{39.44pt}\setlength\topsep{0pt}
\begin{center}
Occupancy\\Grid
\end{center}

\end{minipage}};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (35,229) .. controls (35,226.24) and (37.24,224) .. (40,224) -- (97,224) .. controls (99.76,224) and (102,226.24) .. (102,229) -- (102,257) .. controls (102,259.76) and (99.76,262) .. (97,262) -- (40,262) .. controls (37.24,262) and (35,259.76) .. (35,257) -- cycle  ;
\draw (38,228) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {\begin{minipage}[lt]{42.61pt}\setlength\topsep{0pt}
\begin{center}
Intervention\\Signal
\end{center}

\end{minipage}};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (152,293) .. controls (152,290.24) and (154.24,288) .. (157,288) -- (207,288) .. controls (209.76,288) and (212,290.24) .. (212,293) -- (212,321) .. controls (212,323.76) and (209.76,326) .. (207,326) -- (157,326) .. controls (154.24,326) and (152,323.76) .. (152,321) -- cycle  ;
\draw (155,292) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {\begin{minipage}[lt]{38.08pt}\setlength\topsep{0pt}
\begin{center}
Safe\\commands
\end{center}

\end{minipage}};
% Text Node
\draw (124,190) node [anchor=north west][inner sep=0.75pt]   [align=left] {\begin{minipage}[lt]{52.56pt}\setlength\topsep{0pt}
Intervention
\begin{center}
Logic
\end{center}

\end{minipage}};
% Text Node
\draw (267,202) node [anchor=north west][inner sep=0.75pt]   [align=left] {Scoring};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (248,263) .. controls (248,260.24) and (250.24,258) .. (253,258) -- (324,258) .. controls (326.76,258) and (329,260.24) .. (329,263) -- (329,274) .. controls (329,276.76) and (326.76,279) .. (324,279) -- (253,279) .. controls (250.24,279) and (248,276.76) .. (248,274) -- cycle  ;
\draw (249,262) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {Best Candidate};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (349,223) .. controls (349,220.24) and (351.24,218) .. (354,218) -- (437,218) .. controls (439.76,218) and (442,220.24) .. (442,223) -- (442,234) .. controls (442,236.76) and (439.76,239) .. (437,239) -- (354,239) .. controls (351.24,239) and (349,236.76) .. (349,234) -- cycle  ;
\draw (352,222) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] {Set of Trajecories};
% Text Node
\draw  [draw opacity=0][fill={rgb, 255:red, 212; green, 212; blue, 212 }  ,fill opacity=1 ]  (384,184) .. controls (384,181.24) and (386.24,179) .. (389,179) -- (402,179) .. controls (404.76,179) and (407,181.24) .. (407,184) -- (407,195) .. controls (407,197.76) and (404.76,200) .. (402,200) -- (389,200) .. controls (386.24,200) and (384,197.76) .. (384,195) -- cycle  ;
\draw (387,183) node [anchor=north west][inner sep=0.75pt]  [font=\footnotesize] [align=left] { \ \ \ \ };
% Text Node
\draw (387,184.4) node [anchor=north west][inner sep=0.75pt]    {$x_{0}$};


\end{tikzpicture}



\end{document}

